JSURF-ALGGEO(1)

NAME
jsurf-alggeo - Java based renderer for real SURFaces (ALGebraic GEOmetry dedicated tool)

DESCRIPTION
usage: jsurf-alggeo [options...] {jsurf_input|-} [png_output|-]

jsurf-alggeo is a renderer for real algebraic surfaces. jsurf-alggeo translates its own language script files (generally with extension '.jsurf') into Portable Network Graphics (PNG) files; PNG is a raster graphics file format that supports lossless data compression. If the output filename is not specified, the output is placed in a file of the same basename with a '.png' extension in the current working directory. Either the input filename or the output filename can be '-' to request reading from stdin or writing to stdout, respectively. Whenever the Graphic Unit Interface (GUI) is available, the gui option takes precedence over the output options, otherwise it is ignored. That is, whenever the gui option is present (and available), the output is displayed in a window rather than written in a PNG file.

--gui
    display rendering (overrides output options)

--help
    display this help text and exit

-o,--output <arg>
    output PNG into this file (overrode by the 2nd argument if present)

-q,--quality <arg>
    quality of the rendering: 0 (low), 1 (medium, default), 2 (high), 3 (extreme)

-s,--size <arg>
    image width and height (default: 512)

--version
    print program version and exit